active_buttons = 2;

begin;

picture {
	text {
		caption = "+";
	} my_text;
	x = 0; y = 0;
} my_picture;

trial {
	trial_type = first_response;
	trial_duration = forever;
	stimulus_event {
		picture {
			text {
				caption = "Default";
			} my_text_response;
			x = 0;
			y = 0;
		} my_text_picture;
	} my_text_event;
} my_text_trial;

begin_pcl;

array<double> xvec[8];
array<double> yvec[8];

int screenHeight = display_device.height();
double screenScaler = double(screenHeight) / 2.0;
line_graphic my_line_graphic = new line_graphic;
my_line_graphic.redraw();
my_picture.add_part(my_line_graphic, 0, 0);

include "subfuncs.pcl";

loop until false begin
	# Clear lines and present fixation cross
	my_line_graphic.clear();
	my_line_graphic.redraw();
	my_picture.present();
	wait_interval(2500);
	
	# Generate stimulus to hold in short-term memory
	generatePoints();
	draw_wonky_shape(255, 255, 255);
	my_picture.present();
	wait_interval(750);
	
	# Delay period
	my_line_graphic.clear();
	my_line_graphic.redraw();
	my_picture.present();
	wait_interval(1500);
	
	# Rotate or replace stimulus
	int rotate = random(0, 1);
	update_points(rotate);
	draw_wonky_shape(0, 255, 255 * rotate);
	my_picture.present();
	wait_interval(750);
	
	# Response acquisition
	my_text_response.set_caption("Different (F) or Rotated (J)?");
	my_text_response.redraw();
	my_text_trial.present();

	# Response evaluation
	int acc;
	int resp_button = response_manager.last_response();
	if resp_button == (rotate + 1) then
		acc = 1;
	else
		acc = 0;
	end;
	
	# Feedback
	if acc == 0 then
		my_text_response.set_caption("Incorrect.\n\nPress a key to continue.");
		my_text_response.redraw();
		my_text_trial.present();
	end;
end;
